
Orchestrator - Bug #49737

cephadm bootstrap --skip-ssh skips too much

03/11/2021 01:08 PM - Sebastian Wagner

Status: Resolved % Done: 50%

Priority: Normal   

Assignee: Shreya Sharma   

Category:    

Target version:    

Source:  Affected Versions:  

Tags: low-hanging-fruit ceph-qa-suite:  

Backport:  Pull request ID: 40319

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

--skip-ssh should only disable the SSH configs. It should still enable the cephadm mgr module.

This is a usability bug.

https://lists.ceph.io/hyperkitty/list/ceph-users@ceph.io/thread/5K3CTLZUBHQDVZGP5BDMI3B6ZBVDTETO/

History

#1 - 03/11/2021 01:08 PM - Sebastian Wagner

- Description updated

#2 - 03/15/2021 01:28 PM - Shreya Sharma

Can I take this issue?

#3 - 03/15/2021 01:41 PM - Sebastian Wagner

- Status changed from New to In Progress

- Assignee set to Shreya Sharma

sure!

#4 - 03/19/2021 09:26 AM - Shreya Sharma

Can you point me to the relevant code/files if possible?

#5 - 03/22/2021 07:46 PM - Shreya Sharma

- % Done changed from 0 to 50

- Pull request ID set to 40319

#6 - 03/23/2021 04:08 AM - Shreya Sharma

I think I've found and fixed the bug but I'm not able to reproduce the problem. How can I test it?

#7 - 04/16/2021 04:46 AM - Kefu Chai

- Status changed from In Progress to Resolved
